BMAUDPServerSocket Class Reference

`#include <BMAUDPServerSocket.h>`

Inheritance diagram for BMAUDPServerSocket:
[legend]
Collaboration diagram for BMAUDPServerSocket:
[legend]

## Public Member Functions

| BMAUDPServerSocket (BMAEPoll &ePoll, std::string url, short int port, std::string commandName)
Public Member Functions inherited from BMAUDPSocket
| BMAUDPSocket (BMAEPoll &ePoll)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.
Public Member Functions inherited from BMACommand
| BMACommand (std::string commandName)
virtual void | processCommand (std::string command, BMASession *session)=0
virtual void | output (BMASession *session)

## Protected Member Functions

void | onDataReceived (std::string data) override
| Called when data is received from the socket. More...
void | processCommand (BMASession *session)
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onTLSInit ()
void | shutdown ()
virtual void | receiveData (char *buffer, int bufferLength)

## Protected Attributes

std::vector< BMASession * > | sessions
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

## Additional Inherited Members

Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Public Attributes inherited from BMACommand
std::string | commandName

## Detailed Description

BMAUDPSocket

Manage a socket connection as a UDP server type. Connections to the socket are processed through the session list functionality. A list of sessions is maintained in a vector object.

## Member Function Documentation

## onDataReceived()

void BMAUDPServerSocket::onDataReceived | ( | std::string | data | ) |

overrideprotectedvirtual

Called when data is received from the socket.

The onDataReceived method is called when the socket has received an event from epoll and there is data ready to be read from the socket. The default handler will pull the data and put it into the streambuf for the socket. EPOLLIN

Parameters

  data | the data that has been received from the socket.

Implements BMASocket.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMAUDPServerSocket.h
- /home/barant/Development/BMA/server_core/ServerCore/BMAUDPServerSocket.cpp